<?php

class onRatingplusContentBeforeItem extends cmsAction {

    public function run($data){

        list($ctype, $item, $fields) = $data;

        // Рейтинг
        if ($ctype['is_rating'] &&  $this->isControllerEnabled('ratingplus')){

            $rating_controller = cmsCore::getController('ratingplus', new cmsRequest(array(
                'target_controller' => 'content',
                'target_subject' => $ctype['name']
            ), cmsRequest::CTX_INTERNAL));

            $is_rating_allowed = cmsUser::isAllowed($ctype['name'], 'rate') && ($item['user_id'] != $this->cms_user->id);

            $item['rating_widget'] = $rating_controller->getWidget($item['id'], $item['rating'], $is_rating_allowed);

        }

        return array($ctype, $item, $fields);

    }

}
