<?php $is_first_widget = $this->addJS('templates/default/js/ratingplus.js'); ?>
<?php $is_first_widget = $this->addCSS('templates/default/css/ratingplus.css'); ?>

<div class="rating_widget" id="rating-<?php echo $target_subject; ?>-<?php echo $target_id; ?>"
<?php if ($is_enabled || $options['is_show']){ ?>
	data-target-controller="<?php echo $target_controller; ?>"
	data-target-subject="<?php echo $target_subject; ?>"
	data-target-id="<?php echo $target_id; ?>"
	<?php if ($options['is_show']){ ?>
		<?php $points = explode(',', $options['allow_points']);?>
		<?php $reverse = $options['reverse'];?>
		data-info-url="<?php echo $this->href_to('info'); ?>"
	<?php } ?>
<?php } ?>
>
	<?php $widget = '<div class="arrow">
		<a href="#vote" class="vote" title="%s" data-rating = %s>
		'.$options['icone'].'
		</a></div>';
		$widget_disabled = '<div class="arrow"><span class="disabled" title="%s">
		'.$options['icone'].'
		</span>
		</div>';
	?>
	
	<?php 
		$reverse ? sort($points) : rsort($points);
		If ($is_enabled && empty($is_voted) || (!empty($options['revote']) && $is_voted)){
			foreach($points as $point){ 
				if ($options['reverse'] ? $point<0 : $point>0){
					echo sprintf($widget, constant('LANG_RATINGPLUS_VOTE'.$point), $point, $reverse ? $options['negative'] : $options['positive'], $reverse ? $options['negative_color'] : $options['positive_color'], html_signed_num($point), html_signed_num($point), html_signed_num($point));
				}
			} 
			} else {
			foreach($points as $point){ 
				if ($options['reverse'] ? $point<0 : $point>0){
					echo sprintf($widget_disabled, $is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED, '#95a5a6', '#95a5a6', html_signed_num($point));
				}
			}
		}
	?>
	
	<div class="score" title="<?php echo LANG_RATING; ?>">
		<?php if ($options['is_hidden'] && !$is_voted && ($is_enabled || $is_guest)){ ?>
			<span>&mdash;</span>
			<?php } else { ?>
			<span class="<?php echo html_signed_class($current_rating); ?><?php if ($options['is_show']) { ?> clickable<?php } ?>">
				<?php echo html_signed_num($current_rating); ?>
			</span>
		<?php } ?>
	</div>
	
	<?php 
		$reverse ? sort($points) : rsort($points);
		If ($is_enabled && empty($is_voted) || !empty($options['revote']) && $is_voted){
			foreach($points as $point){ 
				if ($options['reverse'] ? $point>0 : $point<0){
				echo sprintf($widget, constant('LANG_RATINGPLUS_VOTE'.$point), $point, $reverse ? $options['positive'] : $options['negative'], $reverse ? $options['positive_color'] : $options['negative_color'], html_signed_num($point), html_signed_num($point), html_signed_num($point));}
			} 
			} else {
			foreach($points as $point){ 
				if ($options['reverse'] ? $point>0 : $point<0){
					echo sprintf($widget_disabled, $is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED, '#95a5a6', '#95a5a6', html_signed_num($point));
				}
			}
		}
	?>
	
</div>

<?php if ($is_first_widget) { ?>
    <script>
		icms.rating.setOptions({
			url: '<?php echo $this->href_to('vote'); ?>'
		});
	</script>
<?php }?>
