<?php $is_first_widget = $this->addJS('templates/default/js/ratingplus.js'); ?>
<?php $this->addCSS('templates/default/css/ratingplus.css'); ?>

<div class="rating_widget" id="rating-<?php echo $target_subject; ?>-<?php echo $target_id; ?>"
<?php if ($is_enabled || $options['is_show']){ ?>
	data-target-controller="<?php echo $target_controller; ?>"
	data-target-subject="<?php echo $target_subject; ?>"
	data-target-id="<?php echo $target_id; ?>"
	<?php if ($options['is_show']){ ?>
	<?php $points = explode(',', $options['allow_points']); ?>
		data-info-url="<?php echo $this->href_to('info'); ?>"
	<?php } ?>
<?php } ?>
>
	
    <?php if (in_array(5,$points)) { ?><div class="arrow up">
        <?php if ($is_enabled){ ?>
            <a href="#vote" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_UP5; ?>" data-rating = 5>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="green">+5</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">+5</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(4,$points)) { ?><div class="arrow up">
        <?php if ($is_enabled){ ?>
            <a href="#vote" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_UP4; ?>" data-rating = 4>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="green">+4</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">+4</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(3,$points)) { ?><div class="arrow up">
        <?php if ($is_enabled){ ?>
            <a href="#vote" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_UP3; ?>" data-rating = 3>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="green">+3</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">+3</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(2,$points)) { ?><div class="arrow up">
        <?php if ($is_enabled){ ?>
            <a href="#vote" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_UP2; ?>" data-rating = 2>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="green">+2</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">+2</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(1,$points)) { ?><div class="arrow up">
        <?php if ($is_enabled){ ?>
            <a href="#vote" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_UP1; ?>" data-rating = 1>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="green">+1</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="6" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">+1</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	
    <div class="score" title="<?php echo LANG_RATING; ?>">
        <?php if ($options['is_hidden'] && !$is_voted && ($is_enabled || $is_guest)){ ?>
            <span>&mdash;</span>
			<?php } else { ?>
            <span class="<?php echo html_signed_class($current_rating); ?><?php if ($options['is_show']) { ?> clickable<?php } ?>">
                <?php echo html_signed_num($current_rating); ?>
			</span>
		<?php } ?>
	</div>
	
    <?php if (in_array(-1,$points)) { ?><div class="arrow down">
        <?php if ($is_enabled){ ?>
            <a href="#vote-down" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_DOWN1;?>"  data-rating = -1>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="red">-1</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">-1</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(-2,$points)) { ?><div class="arrow down">
        <?php if ($is_enabled){ ?>
            <a href="#vote-down" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_DOWN2; ?>" data-rating = -2>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="red">-2</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">-2</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(-3,$points)) { ?><div class="arrow down">
        <?php if ($is_enabled){ ?>
            <a href="#vote-down" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_DOWN3; ?>" data-rating = -3>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="red">-3</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">-3</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(-4,$points)) { ?><div class="arrow down">
        <?php if ($is_enabled){ ?>
            <a href="#vote-down" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_DOWN4; ?>" data-rating = -4>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="red">-4</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">-4</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	<?php if (in_array(-5,$points)) { ?><div class="arrow down">
        <?php if ($is_enabled){ ?>
            <a href="#vote-down" class="vote" title="<?php echo LANG_RATINGPLUS_VOTE_DOWN5; ?>" data-rating = -5>
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#ffca28" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="red">-5</text>
				</svg>
			</a>
			<?php } else { ?>
            <span class="disabled" title="<?php html($is_voted ? LANG_RATINGPLUS_VOTED : LANG_RATINGPLUS_DISABLED); ?>">
				<svg viewBox="0 0 22 22" width="26" height="26">
					<polygon points="10.5,0.75 13.5,6.15 20.4,7.2 15.45,12 16.65,18.9 10.5,15.75 4.35,18.9 5.4,12 0.75,7.2 7.2,6.15"
					fill="white" stroke="#95a5a6" stroke-width="1.5" /><text y="13.2" x="7" font-size="8" font-family="calibri" font-weight="bold" letter-spacing="0.001"; fill="#95a5a6">-5</text>
				</svg>
			</span>
		<?php } ?>
	</div><?php } ?>
	
</div>

<?php if ($is_first_widget) { ?>
    <script>
	icms.rating.setOptions({
	url: '<?php echo $this->href_to('vote'); ?>'
	});
    </script>
	<?php }?>
		