<?php

class onRatingplusPhotosBeforeItem extends cmsAction {

    public function run($data){

        list($photo, $album, $ctype) = $data;

        // Рейтинг
        if ($ctype['is_rating'] &&  $this->isControllerEnabled('ratingplus')){

            $rating_controller = cmsCore::getController('ratingplus', new cmsRequest(array(
                'target_controller' => 'photos',
                'target_subject' => $ctype['name']
            ), cmsRequest::CTX_INTERNAL));

            $is_rating_allowed = cmsUser::isAllowed($ctype['name'], 'rate') && ($photo['user_id'] != $this->cms_user->id);

            $photo['rating_widget'] = $rating_controller->getWidget($photo['id'], $photo['rating'], $is_rating_allowed);

        }

        return array($photo, $album, $ctype);

    }

}
